Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model.impl
Class VViewFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.emf.ecp.view.spi.model.impl.VViewFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, VViewFactory

    public class VViewFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements VViewFactory

An implementation of the model Factory.

Since:
  1.2

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecp.view.spi.model.VViewFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`VViewFactoryImpl()` Creates an instance of the factory.

Method Summary
`String` | `convertDomainModelReferenceChangeListenerToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String` | `convertLabelAlignmentToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`String` | `convertToString(org.eclipse.emf.ecore.EDataType eDataType, Object instanceValue)`
`org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
`VControl` | `createControl()`
`VDiagnostic` | `createDiagnostic()`
`DomainModelReferenceChangeListener` | `createDomainModelReferenceChangeListenerFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`VFeaturePathDomainModelReference` | `createFeaturePathDomainModelReference()`
`Object` | `createFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LabelAlignment` | `createLabelAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`VView` | `createView()`
`static VViewPackage` | `getPackage()` Deprecated.
`VViewPackage` | `getViewPackage()`
`static VViewFactory` | `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, create, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### VViewFactoryImpl

    public VViewFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static VViewFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createFromString

    public Object createFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                   String initialValue)

  Specified by:
    `createFromString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `createFromString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### convertToString

    public String convertToString(org.eclipse.emf.ecore.EDataType eDataType,
                                  Object instanceValue)

  Specified by:
    `convertToString` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `convertToString` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createDiagnostic

    public VDiagnostic createDiagnostic()

  Specified by:
    `createDiagnostic` in interface `VViewFactory`
  Returns:
    a new object of class 'Diagnostic'.

### createView

    public VView createView()

  Specified by:
    `createView` in interface `VViewFactory`
  Returns:
    a new object of class 'View'.

### createControl

    public VControl createControl()

  Specified by:
    `createControl` in interface `VViewFactory`
  Returns:
    a new object of class 'Control'.

### createLabelAlignmentFromString

    public LabelAlignment createLabelAlignmentFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                         String initialValue)

### convertLabelAlignmentToString

    public String convertLabelAlignmentToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                Object instanceValue)

### createDomainModelReferenceChangeListenerFromString

    public DomainModelReferenceChangeListener createDomainModelReferenceChangeListenerFromString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                                                 String initialValue)

  Since:
    1.3

### convertDomainModelReferenceChangeListenerToString

    public String convertDomainModelReferenceChangeListenerToString(org.eclipse.emf.ecore.EDataType eDataType,
                                                                    Object instanceValue)

  Since:
    1.3

### createFeaturePathDomainModelReference

    public VFeaturePathDomainModelReference createFeaturePathDomainModelReference()

  Specified by:
    `createFeaturePathDomainModelReference` in interface `VViewFactory`
  Returns:
    a new object of class 'Feature Path Domain Model Reference'.

### getViewPackage

    public VViewPackage getViewPackage()

  Specified by:
    `getViewPackage` in interface `VViewFactory`
  Returns:
    the package supported by this factory.

### getPackage

    @Deprecated
    public static VViewPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.